#include<iostream>
#include<algorithm>
using namespace std;
int main() {
    int a, b;
    cin >> a >> b;
    int cifraJedinica1 = (a / 1) % 10;
    int cifraJedinica2 = (b / 1) % 10;
    int cifraDesetica1 = (a / 10) % 10;
    int cifraDesetica2 = (b / 10) % 10;
    int najvecaJedinica = max(cifraJedinica1, cifraJedinica2);
    int najvecaDesetica = max(cifraDesetica1, cifraDesetica2);
    if (a < 10 and b < 10) {
    	if (a < 10)
    	cifraJedinica1 = a;
    	
    if (b < 10)
    	cifraJedinica2 = b;
    	
    	if (cifraJedinica1 == cifraJedinica2) 
			cout << cifraJedinica2 << cifraJedinica2;
		else 
			cout << najvecaJedinica;
	}

    
    if ((10 <= a and a < 100) or (10 <= b and b < 100)) {	
    
    	if (a < 10)
    	cifraJedinica1 = a;
    	
    	if (b < 10)
    	cifraJedinica2 = b;
    
    	if ((cifraDesetica1 == cifraDesetica2) and (cifraJedinica1 == cifraJedinica2))
    		cout << cifraDesetica1 << cifraDesetica2 << cifraJedinica1 << cifraJedinica1;
    	else
    		cout << najvecaDesetica << najvecaJedinica;
}

		
	

    return 0;       
}